# Bump this as appropriate when doing release updates, check i.e. with abi_compliance_checker
# First digit: major, bump when incompatible changes were performed
# Second digit: minor, bump when interface was extended
%define so_ver		2.0.0

# comment out when not pre-release
#define prel		beta

%define major		2
%define libname_qt5	%mklibname %{name}-qt5_ %{major}
%define devname_qt5	%mklibname %{name}-qt5 -d

%define rel	4

Name:		qcustomplot
Version:	2.0.1
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	Qt widget for plotting and data visualization
Group:		Development/KDE and Qt
License:	GPLv3+
URL:		http://www.qcustomplot.com/
Source0:	http://www.qcustomplot.com/release/%{version}%{?prel:-%prel}/QCustomPlot.tar.gz
Source1:	%{name}.pro

BuildRequires:	gcc-c++
BuildRequires:	make
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
QCustomPlot is a Qt C++ widget for plotting and data visualization.
This plotting library focuses on making good looking, publication quality 2D
plots, graphs and charts, as well as offering high performance for realtime
visualization applications.

#-----------------------------------------------------------------

%package -n	%{libname_qt5}
Summary:	Qt5 widget for plotting and data visualization
Group:		Development/KDE and Qt

%description -n	%{libname_qt5}
QCustomPlot is a Qt C++ widget for plotting and data visualization.
This plotting library focuses on making good looking, publication quality 2D
plots, graphs and charts, as well as offering high performance for realtime
visualization applications.

This package contains the Qt5 version.

%files -n %{libname_qt5}
%doc changelog.txt
%license GPL.txt
%{_libdir}/lib%{name}-qt5.so.%{major}{,.*}

#-----------------------------------------------------------------

%package -n	%{devname_qt5}
Summary:	Development files for %{name} (Qt5)
Group:		Development/KDE and Qt
Requires:	%{libname_qt5} = %{version}-%{release}
Provides:	%{name}-qt5-devel = %{version}-%{release}

%description -n	%{devname_qt5}
The %{devname_qt5} package contains libraries and header files for
developing applications that use %{name} (Qt5).

%files -n %{devname_qt5}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}-qt5.so
%{_libdir}/pkgconfig/%{name}-qt5.pc

#-----------------------------------------------------------------

%package	doc
Summary:	Documentation and examples for %{name}
Group:		Documentation
BuildArch:	noarch

%description	doc
The %{name}-doc package contains the documentation and examples for
%{name}.

%files doc
%doc GPL.txt
%doc documentation examples

#-----------------------------------------------------------------

%prep
%setup -qn %{name}
%autopatch -p1

cp -a %{SOURCE1} .

%build
LDFLAGS="%{ldflags} -Wl,--as-needed" \
%qmake_qt5 SOVERSION=%{so_ver} \
           QTSUFFIX=-qt5 \
           LIBDIR=%{_libdir}

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

### pkg-config file
install -d %{buildroot}%{_libdir}/pkgconfig/
cat > %{buildroot}%{_libdir}/pkgconfig/%{name}-qt5.pc <<EOF
libdir=%{_libdir}
includedir=%{_includedir}

Name: %{name}-qt5
Description: Qt5 widget for plotting and data visualization
Version: %{version}
Cflags: -I\${includedir}
Libs: -L\${libdir} -lqcustomplot-qt5
EOF


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 2.0.1-4.mga8
+ Revision: 1659476
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 2.0.1-3.mga8
+ Revision: 1524940
- Mageia 8 Mass Rebuild

* Mon Apr 01 2019 umeabot <umeabot> 2.0.1-2.mga7
+ Revision: 1384150
- Qt5 Rebuild

* Mon Feb 11 2019 daviddavid <daviddavid> 2.0.1-1.mga7
+ Revision: 1365336
- initial package qcustomplot

